#!/bin/bash

echo Installing ZSH
sudo apt install zsh
chsh -s $(which zsh)
git clone https://github.com/zsh-users/zsh-autosuggestions ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autosuggestions
echo ZSH installed, log out then back in to have it be your default shell
echo then run this script again

echo Installing mise
curl https://mise.run | sh
echo "eval \"\$(~/.local/bin/mise activate bash)\"" >> ~/.bashrc
source ~/.bashrc

echo mise installed, restart your terminal then run this script again
mise doctor
mise trust

sudo apt install kitty
sudo update-alternatives --config x-terminal-emulator
echo kitty installed, set it as your default terminal if you wish

sudo apt install ranger
sudo update-alternatives --config xdg-open
echo ranger installed, set it as your default file manager if you wish

sudo apt install mosh
echo mosh installed

curl --proto '=https' --tlsv1.2 -LsSf https://setup.atuin.sh | sh
atuin import auto
echo Atuin installed

wget -qO difft.tar.gz https://github.com/Wilfred/difftastic/releases/latest/download/difft-x86_64-unknown-linux-gnu.tar.gz
sudo tar xf difft.tar.gz -C /usr/local/bin
echo difftastic installed

echo Finally, run 'task' whenever you are ready for the remaining setup
